Subject: bug#53325: povray: Fails to build (_Pragma errors) [FIXED]

From: Ivan Vilata i Balaguer <[email-masked]>
Date: Sat, 10 Jun 2023 17:27:30 +0200

I tried installing the package again under Guix 44bbfc24 and it installed
successfully.  It was probably working after a59afdc9 (2022-02-03), which
updated Boost to 1.78.0.

This issue may be closed, thanks!

Ivan Vilata i Balaguer (2022-02-07 23:43:18 +0100) wrote:

> Ivan Vilata i Balaguer (2022-01-26 22:57:18 +0100) wrote:
> 
> > Ivan Vilata i Balaguer (2022-01-17 20:58:40 +0100) wrote:
> > 
> > > Hi!  When trying to upgrade package `povray 3.7.0.8` from Guix commit
> > > `404f6953` to that of commit `4a943cfd`, the build fails showing errors like
> > > these: […]
> > 
> > I found what looks like the same issue reported in
> > <https://github.com/POV-Ray/povray/issues/438>.
> > 
> > As a commenter suggested, I succeeded to build the package using Boost 1.78,
> > […]  BTW, this is where I think they fixed the Boost issue for 1.78:
> > <https://github.com/boostorg/math/pull/676/files>
> 
> So I tried to create a patch (attached) which just drops the fixed version of
> `header_deprecated.hpp` from Boost 1.78 [1] in Povray's `source` directory,
> since that include path has priority over the profile's Boost one during
> build.  I tried building with:
> 
>     $ guix build povray --with-patch=povray=./povray-fix-boost-1.77-math-tools-pragma.patch
>     […]
>     /gnu/store/mp687jry3rb96ff3jbaijibz4klhjicd-povray-3.7.0.8
> 
> So it built successfully.
> 
> [1]: https://github.com/boostorg/math/blob/boost-1.78.0/include/boost/math/tools/header_deprecated.hpp
> 
> Thus, the patch may be applied until Boost is upgraded to 1.78, at which point
> it can be removed.
> 
> Thanks!

-- 
Ivan Vilata i Balaguer -- https://elvil.net/